For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/payment/payout‑periods

get

Get payout periods

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
loginidintegerOptional
usernamestringOptional
deletedstringOptionalDefault: 0
Responses
200

success

successbooleanOptionalExample: true
get/api/payment/payout-periods
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'loginid' => 1,
		'deleted' => 1
	);

$request = array(
	'method' => 'GET',
	'path' => 'payment/payout-periods',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "payout_periods": [
    {
      "payout_period_id": "1",
      "description": "Twice a Month",
      "configuration": "1,16",
      "delay": "0",
      "positive_pay_delay": "0",
      "negative_pay_delay": "0",
      "enabled": "1",
      "main": "1",
      "deleted": "0",
      "projection": "",
      "projection_padding": "0",
      "configuration_details": {
        "type": "month",
        "days": [
          "1",
          "16"
        ],
        "string": "Every 1st and 16th of the month"
      },
      "error": 0
    },
    {
      "payout_period_id": "1000",
      "description": "test payout period description",
      "configuration": "w0",
      "delay": "1",
      "positive_pay_delay": "0",
      "negative_pay_delay": "0",
      "enabled": "1",
      "main": "0",
      "deleted": "0",
      "projection": "",
      "projection_padding": "0",
      "configuration_details": {
        "type": "week",
        "days": "0",
        "string": "Every Sunday"
      },
      "error": 0
    }
  ]
}

Last updated

Was this helpful?